*{
   margin: 0;
   padding: 0;
   box-sizing: border-box; 
}
section{
    position: relative;
    width: 100%;
    height: 100vh;
    background: #222;
    overflow: hidden;
}
.layer{
    position: absolute;
    top: 0;
    left: -50%;
    width: 100%;
    height: 100vh;
    box-shadow: 10px 0 10px rgba(0, 0, 0,10);
}
.layer.layer1{
    background: #03a9f4;
    transform: skewX(-45deg) translateX(0);
    z-index: 1;
}
.layer.layer2{
    background: #fff;
    transform: skewX(-45deg) translateX(-100px);
    z-index:3;
}
.layer.layer3{
    background: #ff3161;
    transform: skewX(-45deg) translateX(-200px);
    z-index:5;
}
.layer.layer4{
    background: #222;
    transform: skewX(-45deg) translateX(-300px);
    z-index:10;
}
.layer.layer5{
    background: #ff3161;
    transform: skewX(45deg) translateX(0);
    z-index:2;
}
.layer.layer6{
    background: #03a9f4;
    transform: skewX(45deg) translateX(-100px);
    z-index:4;
}
.layer.layer7{
    background: #fff;
    transform: skewX(45deg) translateX(-200px);
    z-index:6;
}
.layer.layer8{
    background: #222;
    transform: skewX(45deg) translateX(-300px);
    z-index:8;
}
.layer.layer9{
    background: transparent;
    transform: skewX(45deg) translateX(-300px);
    z-index:10;
}